GNU bug report logs - #35003
27.0.50; SIGTERM in dconf worker

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Welsh Duggan <mwd@HIDDEN>; dated Tue, 26 Mar 2019 14:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 9 Apr 2019 13:14:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 09:14:35 2019
Received: from localhost ([127.0.0.1]:50749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDqaA-0000qo-Oq
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2019 09:14:35 -0400
Received: from taper.sei.cmu.edu ([147.72.252.16]:57478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mwd@HIDDEN>) id 1hDqa8-0000qZ-RM
 for 35003 <at> debbugs.gnu.org; Tue, 09 Apr 2019 09:14:34 -0400
Received: from korb.sei.cmu.edu (korb.sei.cmu.edu [10.64.21.30])
 by taper.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x39DEQkp018669
 for <35003 <at> debbugs.gnu.org>; Tue, 9 Apr 2019 09:14:27 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 taper.sei.cmu.edu x39DEQkp018669
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cert.org;
 s=yc2bmwvrj62m; t=1554815667;
 bh=g84RNVO0kEbWJkbWDt24AtlVOboAhELmbXpfZYLvndE=;
 h=From:To:Subject:References:Date:In-Reply-To:From;
 b=OkxTFiYY7lLvlrJnnb4NABSnSkuXMY05BrEhDQCmJJ2qeeXaRnSwSD2Lj2qDrAEiM
 1hw3TlClZC/fjS6CJp7PG4Z/T8Tqk2Ze/5tbezv1d4a3E1kqMTontJoqHArmP2AAvc
 bQLjZOuzaXn2N24DUBA7F7JUc0pesj7QPuukq/60=
Received: from lx-chumsalmon.ad.sei.cmu.edu (lx-chumsalmon.ad.sei.cmu.edu
 [10.64.51.248])
 by korb.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x39DEP9e006460
 for <35003 <at> debbugs.gnu.org>; Tue, 9 Apr 2019 09:14:25 -0400
Received: from lx-chumsalmon.ad.sei.cmu.edu (localhost [127.0.0.1])
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x39DEPa7031141
 for <35003 <at> debbugs.gnu.org>; Tue, 9 Apr 2019 09:14:25 -0400
Received: (from mwd@localhost)
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) id x39DEOnq031125;
 Tue, 9 Apr 2019 09:14:24 -0400
X-Authentication-Warning: lx-chumsalmon.ad.sei.cmu.edu: mwd set sender to
 mwd@HIDDEN using -f
From: Michael Welsh Duggan <mwd@HIDDEN>
To: <35003 <at> debbugs.gnu.org>
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
References: <tntsgv9lmxq.fsf@HIDDEN>
 <834l7pmxlf.fsf@HIDDEN>
 <tnttvfhbxlt.fsf@HIDDEN>
Date: Tue, 09 Apr 2019 09:14:24 -0400
In-Reply-To: <tnttvfhbxlt.fsf@HIDDEN> (Michael Welsh
 Duggan's message of "Mon, 1 Apr 2019 10:37:18 -0400")
Message-ID: <tntbm1ffhhr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35003
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Welsh Duggan <mwd@HIDDEN> writes:

> As it happened again, I'll attach the backtrace from the emacs thread at
> the time.  Then I'll restart with an empty DISPLAY and see what happens.

I can state that the workaround of unsetting DISPLAY before starting the
daemon seems to have worked.  I now wonder if this is something that can
be fixed by unsetting DISPLAY in --daemon handling, or if it is being
used by an attached library before emacs has a chance to do that.

-- 
Michael Welsh Duggan
(mwd@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 1 Apr 2019 14:37:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 01 10:37:32 2019
Received: from localhost ([127.0.0.1]:39810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hAy43-000109-T3
	for submit <at> debbugs.gnu.org; Mon, 01 Apr 2019 10:37:32 -0400
Received: from veto.sei.cmu.edu ([147.72.252.17]:58296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mwd@HIDDEN>) id 1hAy41-0000zq-8a
 for 35003 <at> debbugs.gnu.org; Mon, 01 Apr 2019 10:37:29 -0400
Received: from delp.sei.cmu.edu (delp.sei.cmu.edu [10.64.21.31])
 by veto.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x31EbNRI043393
 for <35003 <at> debbugs.gnu.org>; Mon, 1 Apr 2019 10:37:23 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 veto.sei.cmu.edu x31EbNRI043393
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cert.org;
 s=yc2bmwvrj62m; t=1554129443;
 bh=Hq1Q8OidYanRq/eaiZQOZqv4Pu2crZD9jNdcDJu87ig=;
 h=From:To:Subject:References:Date:In-Reply-To:From;
 b=gmi3ciEDXzfnt5OjCFn08CSF9tA65oZcuJO/V/nUMdGGIeichY2G1SuZ6rJsUZHkH
 tTFS6Ev+IO8Uu48tEBiJvg+jIBpEhJwUZwC8gqlkvHnAhrIb6hKaIiDH0Eze9MZfLD
 Xcuj3G9nyxrWyjhAlSmO/XGGHWCH0HAJwokNok5Y=
Received: from lx-chumsalmon.ad.sei.cmu.edu (lx-chumsalmon.ad.sei.cmu.edu
 [10.64.51.248])
 by delp.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x31EbJLu001386
 for <35003 <at> debbugs.gnu.org>; Mon, 1 Apr 2019 10:37:19 -0400
Received: from lx-chumsalmon.ad.sei.cmu.edu (localhost [127.0.0.1])
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x31EbJLQ022257
 for <35003 <at> debbugs.gnu.org>; Mon, 1 Apr 2019 10:37:19 -0400
Received: (from mwd@localhost)
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) id x31EbJam022254;
 Mon, 1 Apr 2019 10:37:19 -0400
X-Authentication-Warning: lx-chumsalmon.ad.sei.cmu.edu: mwd set sender to
 mwd@HIDDEN using -f
From: Michael Welsh Duggan <mwd@HIDDEN>
To: <35003 <at> debbugs.gnu.org>
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
References: <tntsgv9lmxq.fsf@HIDDEN>
 <834l7pmxlf.fsf@HIDDEN>
Date: Mon, 01 Apr 2019 10:37:18 -0400
In-Reply-To: <834l7pmxlf.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 26 Mar
 2019 18:03:56 +0200")
Message-ID: <tnttvfhbxlt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35003
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

As it happened again, I'll attach the backtrace from the emacs thread at
the time.  Then I'll restart with an empty DISPLAY and see what happens.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline

#0  set_buffer_internal_2 (b=b@entry=0x1e66880) at ../../src/src/buffer.c:2132
2132		  if (sym->u.s.redirect == SYMBOL_LOCALIZED /* Just to be sure.  */
#0  0x00000000004f86a3 in set_buffer_internal_2 (b=b@entry=0x1e66880)
    at ../../src/src/buffer.c:2132
#1  0x00000000004f8c36 in set_buffer_internal_1 (b=0x1e66880)
    at ../../src/src/buffer.c:2085
#2  0x00000000004f8c36 in set_buffer_internal (b=0x1e66880)
    at ../../src/src/buffer.h:1137
#3  0x00000000004f8c36 in Fset_buffer (buffer_or_name=XIL(0x1e66885))
    at ../../src/src/buffer.c:2182
#4  0x000000000058afa6 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=nargs@entry=1, args=<optimized out>, 
    args@entry=0x10) at ../../src/src/bytecode.c:1137
#5  0x0000000000556230 in funcall_lambda
    (fun=XIL(0x7fffffffbe80), nargs=nargs@entry=1, arg_vector=0x10, 
    arg_vector@entry=0x7fffffffc048) at ../../src/src/lisp.h:1840
#6  0x000000000055381f in Ffuncall
    (nargs=nargs@entry=2, args=args@entry=0x7fffffffc040)
    at ../../src/src/eval.c:2861
#7  0x000000000055395a in call1
    (fn=fn@entry=XIL(0x1cbd185), arg1=<optimized out>)
    at ../../src/src/eval.c:2698
#8  0x000000000055c487 in mapcar1
    (leni=leni@entry=25, vals=vals@entry=0x7fffffffc0c0, fn=fn@entry=XIL(0x1cbd185), seq=seq@entry=XIL(0x20546a3)) at ../../src/src/lisp.h:1431
#9  0x000000000055f0b6 in Fmapcar
    (function=XIL(0x1cbd185), sequence=XIL(0x20546a3))
    at ../../src/src/fns.c:2709
#10 0x00000000005538a3 in Ffuncall (nargs=3, args=args@entry=0x7fffffffc268)
    at ../../src/src/lisp.h:2097
#11 0x00000000005896d0 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=nargs@entry=0, args=<optimized out>, 
    args@entry=0xd) at ../../src/src/bytecode.c:633
#12 0x0000000000556230 in funcall_lambda
    (fun=XIL(0x7fffffffc280), nargs=nargs@entry=0, arg_vector=0xd, 
    arg_vector@entry=0x7fffffffc5e0) at ../../src/src/lisp.h:1840
#13 0x000000000055381f in Ffuncall
    (nargs=nargs@entry=1, args=args@entry=0x7fffffffc5d8)
    at ../../src/src/eval.c:2861
#14 0x0000000000553bbc in Fapply (nargs=2, args=0x7fffffffc5d8)
    at ../../src/src/eval.c:2420
#15 0x00000000005538a3 in Ffuncall (nargs=3, args=args@entry=0x7fffffffc5d0)
    at ../../src/src/lisp.h:2097
#16 0x00000000005896d0 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=nargs@entry=0, args=<optimized out>, 
    args@entry=0xb) at ../../src/src/bytecode.c:633
#17 0x0000000000556230 in funcall_lambda
    (fun=XIL(0x7fffffffc5e8), nargs=nargs@entry=0, arg_vector=0xb, 
    arg_vector@entry=0x7fffffffc890) at ../../src/src/lisp.h:1840
#18 0x000000000055381f in Ffuncall
    (nargs=nargs@entry=1, args=args@entry=0x7fffffffc888)
    at ../../src/src/eval.c:2861
#19 0x0000000000553bbc in Fapply (nargs=2, args=0x7fffffffc888)
    at ../../src/src/eval.c:2420
#20 0x00000000005538a3 in Ffuncall (nargs=3, args=args@entry=0x7fffffffc880)
    at ../../src/src/lisp.h:2097
#21 0x00000000005896d0 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=nargs@entry=1, args=<optimized out>, 
    args@entry=0x7) at ../../src/src/bytecode.c:633
#22 0x0000000000556230 in funcall_lambda
    (fun=XIL(0x7fffffffc8b8), nargs=nargs@entry=1, arg_vector=0x7, 
    arg_vector@entry=0x7fffffffcb18) at ../../src/src/lisp.h:1840
#23 0x000000000055381f in Ffuncall
    (nargs=nargs@entry=2, args=args@entry=0x7fffffffcb10)
    at ../../src/src/eval.c:2861
#24 0x000000000055395a in call1
    (fn=fn@entry=XIL(0xc300), arg1=arg1@entry=XIL(0x2561ea5))
    at ../../src/src/eval.c:2698
#25 0x00000000004df9ac in timer_check_2 (idle_timers=XIL(0), timers=XIL(0x3584033)) at ../../src/src/lisp.h:1057
#26 0x00000000004df9ac in timer_check () at ../../src/src/keyboard.c:4367
#27 0x00000000004dfc55 in readable_events (flags=1) at ../../src/src/keyboard.c:3368
#28 0x00000000004e05e8 in get_input_pending (flags=flags@entry=1) at ../../src/src/keyboard.c:6771
#29 0x00000000004e2ce8 in detect_input_pending_run_timers (do_display=do_display@entry=true) at ../../src/src/keyboard.c:9915
#30 0x0000000000593ee3 in wait_reading_process_output (time_limit=time_limit@entry=30, nsecs=nsecs@entry=0, read_kbd=read_kbd@entry=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at ../../src/src/process.c:5560
#31 0x000000000041a22e in sit_for (timeout=timeout@entry=make_number(30), reading=reading@entry=true, display_option=display_option@entry=1) at ../../src/src/lisp.h:1057
#32 0x00000000004e57f2 in read_char (commandflag=commandflag@entry=1, map=map@entry=XIL(0x35841b3), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7fffffffd6bb, end_time=end_time@entry=0x0) at ../../src/src/lisp.h:1154
#33 0x00000000004e5e7e in read_key_sequence (keybuf=keybuf@entry=0x7fffffffd7b0, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false) at ../../src/src/keyboard.c:9110
#34 0x00000000004e762e in command_loop_1 () at ../../src/src/lisp.h:1057
#35 0x0000000000552a9e in internal_condition_case (bfun=bfun@entry=0x4e7460 <command_loop_1>, handlers=handlers@entry=XIL(0x5010), hfun=hfun@entry=0x4ded90 <cmd_error>) at ../../src/src/eval.c:1369
#36 0x00000000004d9c8c in command_loop_2 (ignore=ignore@entry=XIL(0)) at ../../src/src/lisp.h:1057
#37 0x0000000000552a0d in internal_catch (tag=tag@entry=XIL(0xc5d0), func=func@entry=0x4d9c70 <command_loop_2>, arg=arg@entry=XIL(0)) at ../../src/src/eval.c:1132
#38 0x00000000004d9c34 in command_loop () at ../../src/src/lisp.h:1057
#39 0x00000000004de996 in recursive_edit_1 () at ../../src/src/keyboard.c:714
#40 0x00000000004decb7 in Frecursive_edit () at ../../src/src/keyboard.c:785
#41 0x0000000000410732 in main (argc=2, argv=0x7fffffffdb38) at ../../src/src/emacs.c:1958

Thread 1 "emacs-27.0.50" received signal SIGTERM, Terminated.
backtrace_p (pdl=0xd7af40) at ../../src/src/eval.c:182
182	{ return specpdl ? pdl >= specpdl : false; }
The program being debugged was signaled while in a function called from GDB.
GDB has restored the context to what it was before the call.
To change this behavior use "set unwindonsignal off".
Evaluation of the expression containing the function
(backtrace_p) will be abandoned.

--=-=-=
Content-Type: text/plain


-- 
Michael Welsh Duggan
(mwd@HIDDEN)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 28 Mar 2019 18:39:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 28 14:39:51 2019
Received: from localhost ([127.0.0.1]:34739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h9ZwM-0001UJ-RD
	for submit <at> debbugs.gnu.org; Thu, 28 Mar 2019 14:39:51 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1h9ZwL-0001U7-Iv
 for 35003 <at> debbugs.gnu.org; Thu, 28 Mar 2019 14:39:50 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B3BBE160F0B;
 Thu, 28 Mar 2019 11:39:43 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id KBwW55pniCIw; Thu, 28 Mar 2019 11:39:42 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id BC262160F73;
 Thu, 28 Mar 2019 11:39:42 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Hm8jd0UJSW9k; Thu, 28 Mar 2019 11:39:42 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id A2139160BDE;
 Thu, 28 Mar 2019 11:39:42 -0700 (PDT)
To: Michael Welsh Duggan <mwd@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <f00aa394-d2a3-14c0-fc95-02f5a4d99134@HIDDEN>
Date: Thu, 28 Mar 2019 11:39:42 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35003
Cc: 35003 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This looks like Emacs bug#22174, where the workaround was to run the
Emacs daemon with $DISPLAY unset. See:

https://bugs.gnu.org/22174

Also see the following mildly-related bug reports (not involving Emacs):

https://bugzilla.redhat.com/show_bug.cgi?id=1576422

https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1072518





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 26 Mar 2019 17:02:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 13:02:41 2019
Received: from localhost ([127.0.0.1]:60505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8pTE-0000Gc-PT
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 13:02:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h8pTC-0000GO-4B
 for 35003 <at> debbugs.gnu.org; Tue, 26 Mar 2019 13:02:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58280)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h8pT6-0006uJ-I7; Tue, 26 Mar 2019 13:02:32 -0400
Received: from [176.228.60.248] (port=2397 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h8pT5-00012C-Ju; Tue, 26 Mar 2019 13:02:32 -0400
Date: Tue, 26 Mar 2019 19:02:38 +0200
Message-Id: <83r2atlgb5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Welsh Duggan <mwd@HIDDEN>
In-reply-to: <tnto95xlh8l.fsf@HIDDEN> (message from
 Michael Welsh Duggan on Tue, 26 Mar 2019 12:42:34 -0400)
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
References: <tntsgv9lmxq.fsf@HIDDEN>
 <834l7pmxlf.fsf@HIDDEN> <tnto95xlh8l.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35003
Cc: 35003 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Michael Welsh Duggan <mwd@HIDDEN>
> Cc: <35003 <at> debbugs.gnu.org>
> Date: Tue, 26 Mar 2019 12:42:34 -0400
> 
> >> Thread 3 "dconf worker" received signal SIGTERM, Terminated.
> >
> > That thread is not ours, is it?
> 
> No.  But I don't know why it is being used at all.  What configure
> option do I have to use to have it not create this dconf worker under
> the hood?

I'm not sure, but the name dconf_gdbus_worker_thread sounds like it's
part of D-Bus?  But I don't see DBUS in your features list as reported
by report-emacs-bug.  Or maybe it's the Gsettings thing?
libdconfsettings.so seems to hint on that.

I guess I don't really know.  Maybe someone else could help us out.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 26 Mar 2019 16:42:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 12:42:47 2019
Received: from localhost ([127.0.0.1]:60490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8p9x-0008FG-S2
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 12:42:47 -0400
Received: from veto.sei.cmu.edu ([147.72.252.17]:33572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mwd@HIDDEN>) id 1h8p9v-0008F3-HR
 for 35003 <at> debbugs.gnu.org; Tue, 26 Mar 2019 12:42:44 -0400
Received: from korb.sei.cmu.edu (korb.sei.cmu.edu [10.64.21.30])
 by veto.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QGgb2M047351;
 Tue, 26 Mar 2019 12:42:37 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 veto.sei.cmu.edu x2QGgb2M047351
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cert.org;
 s=yc2bmwvrj62m; t=1553618557;
 bh=GylNQpPmDfTmEcLVcP1FVmEcacvpL05BpMv254WkRf4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=pUpxMCzDsqkoYAk9tqLVODQ9dVhjG2ux0gLY+Ah88XRnwHbbxa4cPya6J661DpMLD
 D+3ts1JjszN7tIFoxQzadd1/2eWyXajUz8BWa+HOmGyJfChzZjV+7KWGfeEDX57msF
 xte0tHWgUhdBeQ8e1lf3KqN7CYDfEQ04znGL1f54=
Received: from lx-chumsalmon.ad.sei.cmu.edu (lx-chumsalmon.ad.sei.cmu.edu
 [10.64.51.248])
 by korb.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QGgZZj029323;
 Tue, 26 Mar 2019 12:42:35 -0400
Received: from lx-chumsalmon.ad.sei.cmu.edu (localhost [127.0.0.1])
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QGgZHJ003192; 
 Tue, 26 Mar 2019 12:42:35 -0400
Received: (from mwd@localhost)
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) id x2QGgZ7p003189;
 Tue, 26 Mar 2019 12:42:35 -0400
X-Authentication-Warning: lx-chumsalmon.ad.sei.cmu.edu: mwd set sender to
 mwd@HIDDEN using -f
From: Michael Welsh Duggan <mwd@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
References: <tntsgv9lmxq.fsf@HIDDEN>
 <834l7pmxlf.fsf@HIDDEN>
Date: Tue, 26 Mar 2019 12:42:34 -0400
In-Reply-To: <834l7pmxlf.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 26 Mar
 2019 18:03:56 +0200")
Message-ID: <tnto95xlh8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35003
Cc: 35003 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Michael Welsh Duggan <mwd@HIDDEN>
>> Date: Tue, 26 Mar 2019 10:39:29 -0400
>> 
>> Thread 3 "dconf worker" received signal SIGTERM, Terminated.
>
> That thread is not ours, is it?

No.  But I don't know why it is being used at all.  What configure
option do I have to use to have it not create this dconf worker under
the hood?

>> (gdb) info thread
>>   Id   Target Id                                         Frame 
>>   1    Thread 0x7ffff7fca880 (LWP 42490) "emacs-27.0.50" 0x00007ffff38cdcd9 in p
>> select () from /lib64/libc.so.6
>>   2    Thread 0x7fffead4a700 (LWP 42492) "gmain"         0x00007ffff38cbe9d in p
>> oll () from /lib64/libc.so.6
>> * 3    Thread 0x7fffea131700 (LWP 42577) "dconf worker"  0x00007ffff454854b in r
>> aise () from /lib64/libpthread.so.0
>>   4    Thread 0x7fffe9930700 (LWP 42583) "gdbus"         0x00007ffff38cbe9d in p
>> oll () from /lib64/libc.so.6
>> (gdb) bt
>> #0  0x00007ffff454854b in raise () at /lib64/libpthread.so.0
>> #1  0x00007ffff2da2dcc in ffi_call_unix64 () at /lib64/libffi.so.6
>> #2  0x00007ffff2da26f5 in ffi_call () at /lib64/libffi.so.6
>> #3  0x00007ffff5183675 in g_cclosure_marshal_generic_va ()
>>     at /lib64/libgobject-2.0.so.0
>> #4  0x00007ffff5182c07 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
>> #5  0x00007ffff519c757 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
>> #6  0x00007ffff519d3df in g_signal_emit () at /lib64/libgobject-2.0.so.0
>> #7  0x00007ffff547d075 in emit_closed_in_idle () at /lib64/libgio-2.0.so.0
>> #8  0x00007ffff4ea64e7 in g_idle_dispatch () at /lib64/libglib-2.0.so.0
>> #9  0x00007ffff4ea98f9 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
>> #10 0x00007ffff4ea9c58 in g_main_context_iterate.isra ()
>>     at /lib64/libglib-2.0.so.0
>> #11 0x00007ffff4ea9d0c in g_main_context_iteration ()
>>     at /lib64/libglib-2.0.so.0
>> #12 0x00007fffea13948d in dconf_gdbus_worker_thread ()
>>     at /usr/lib64/gio/modules/libdconfsettings.so
>> #13 0x00007ffff4ed0900 in g_thread_proxy () at /lib64/libglib-2.0.so.0
>> #14 0x00007ffff4540dd5 in start_thread () at /lib64/libpthread.so.0
>> #15 0x00007ffff38d6b3d in clone () at /lib64/libc.so.6
>> 
>> 
>> Unfortunately, xbacktrace doesn't seem to be working very well in this
>> state:
>
> We can still use the C-level backtrace for the main thread, so just
> "bt" after switching to thread 1 would be useful.

I'll try again once I trigger the problem again.  I lost the last gdb
session.  

> However, I wonder whether this is an Emacs problem if the signal
> always happens in the dconf thread.

I'd be happy for this not to be an Emacs problem.  Until I can figure
out how to build Emacs without it, it is an Emacs problem, though.

-- 
Michael Welsh Duggan
(mwd@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at 35003 <at> debbugs.gnu.org:


Received: (at 35003) by debbugs.gnu.org; 26 Mar 2019 16:04:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 12:04:01 2019
Received: from localhost ([127.0.0.1]:60447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8oYT-0007J0-7Z
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 12:04:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h8oYR-0007Il-DE
 for 35003 <at> debbugs.gnu.org; Tue, 26 Mar 2019 12:04:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57263)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h8oYL-0003y6-VD; Tue, 26 Mar 2019 12:03:54 -0400
Received: from [176.228.60.248] (port=2549 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h8oYH-00053B-SP; Tue, 26 Mar 2019 12:03:52 -0400
Date: Tue, 26 Mar 2019 18:03:56 +0200
Message-Id: <834l7pmxlf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Welsh Duggan <mwd@HIDDEN>
In-reply-to: <tntsgv9lmxq.fsf@HIDDEN> (message from
 Michael Welsh Duggan on Tue, 26 Mar 2019 10:39:29 -0400)
Subject: Re: bug#35003: 27.0.50; SIGTERM in dconf worker
References: <tntsgv9lmxq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35003
Cc: 35003 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Michael Welsh Duggan <mwd@HIDDEN>
> Date: Tue, 26 Mar 2019 10:39:29 -0400
> 
> Thread 3 "dconf worker" received signal SIGTERM, Terminated.

That thread is not ours, is it?

> (gdb) info thread
>   Id   Target Id                                         Frame 
>   1    Thread 0x7ffff7fca880 (LWP 42490) "emacs-27.0.50" 0x00007ffff38cdcd9 in p
> select () from /lib64/libc.so.6
>   2    Thread 0x7fffead4a700 (LWP 42492) "gmain"         0x00007ffff38cbe9d in p
> oll () from /lib64/libc.so.6
> * 3    Thread 0x7fffea131700 (LWP 42577) "dconf worker"  0x00007ffff454854b in r
> aise () from /lib64/libpthread.so.0
>   4    Thread 0x7fffe9930700 (LWP 42583) "gdbus"         0x00007ffff38cbe9d in p
> oll () from /lib64/libc.so.6
> (gdb) bt
> #0  0x00007ffff454854b in raise () at /lib64/libpthread.so.0
> #1  0x00007ffff2da2dcc in ffi_call_unix64 () at /lib64/libffi.so.6
> #2  0x00007ffff2da26f5 in ffi_call () at /lib64/libffi.so.6
> #3  0x00007ffff5183675 in g_cclosure_marshal_generic_va ()
>     at /lib64/libgobject-2.0.so.0
> #4  0x00007ffff5182c07 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
> #5  0x00007ffff519c757 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
> #6  0x00007ffff519d3df in g_signal_emit () at /lib64/libgobject-2.0.so.0
> #7  0x00007ffff547d075 in emit_closed_in_idle () at /lib64/libgio-2.0.so.0
> #8  0x00007ffff4ea64e7 in g_idle_dispatch () at /lib64/libglib-2.0.so.0
> #9  0x00007ffff4ea98f9 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
> #10 0x00007ffff4ea9c58 in g_main_context_iterate.isra ()
>     at /lib64/libglib-2.0.so.0
> #11 0x00007ffff4ea9d0c in g_main_context_iteration ()
>     at /lib64/libglib-2.0.so.0
> #12 0x00007fffea13948d in dconf_gdbus_worker_thread ()
>     at /usr/lib64/gio/modules/libdconfsettings.so
> #13 0x00007ffff4ed0900 in g_thread_proxy () at /lib64/libglib-2.0.so.0
> #14 0x00007ffff4540dd5 in start_thread () at /lib64/libpthread.so.0
> #15 0x00007ffff38d6b3d in clone () at /lib64/libc.so.6
> 
> 
> Unfortunately, xbacktrace doesn't seem to be working very well in this
> state:

We can still use the C-level backtrace for the main thread, so just
"bt" after switching to thread 1 would be useful.

However, I wonder whether this is an Emacs problem if the signal
always happens in the dconf thread.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2019 14:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 10:39:46 2019
Received: from localhost ([127.0.0.1]:60360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8nEv-0005Cv-Jn
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 10:39:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mwd@HIDDEN>) id 1h8nEt-0005CW-Nw
 for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 10:39:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:58145)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mwd@HIDDEN>) id 1h8nEo-0001s1-AH
 for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 10:39:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34500)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mwd@HIDDEN>) id 1h8nEm-0002cm-JK
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 10:39:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mwd@HIDDEN>) id 1h8nEl-0001r2-37
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 10:39:36 -0400
Received: from taper.sei.cmu.edu ([147.72.252.16]:49464)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mwd@HIDDEN>) id 1h8nEk-0001qN-Oc
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 10:39:35 -0400
Received: from korb.sei.cmu.edu (korb.sei.cmu.edu [10.64.21.30])
 by taper.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QEdXGe019652
 for <bug-gnu-emacs@HIDDEN>; Tue, 26 Mar 2019 10:39:33 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 taper.sei.cmu.edu x2QEdXGe019652
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cert.org;
 s=yc2bmwvrj62m; t=1553611173;
 bh=5fNeaFp/wBMrec1ld2suO3YgmqMdpFLVtehP68Sn3yM=;
 h=From:To:Subject:Date:From;
 b=R58R2oK6YFl3eNBQ0fEAAxmHGxk7fC5xW4hUt5OclkK69X8XroULtpCk9JPpePZpR
 +KP3gU9YL+3+niCTgxeaYgw0BXhStcnU05MvTYUXAQxEpeac+CXpK2ucD3u/9sjQE6
 NnEZbnmxgSq3QgUlblZNbl4JKJLxxPZCfZGoAhOs=
Received: from lx-chumsalmon.ad.sei.cmu.edu (lx-chumsalmon.ad.sei.cmu.edu
 [10.64.51.248])
 by korb.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QEdT7V027369
 for <bug-gnu-emacs@HIDDEN>; Tue, 26 Mar 2019 10:39:29 -0400
Received: from lx-chumsalmon.ad.sei.cmu.edu (localhost [127.0.0.1])
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) with ESMTP id x2QEdTFr024251
 for <bug-gnu-emacs@HIDDEN>; Tue, 26 Mar 2019 10:39:29 -0400
Received: (from mwd@localhost)
 by lx-chumsalmon.ad.sei.cmu.edu (8.14.7/8.14.7) id x2QEdTbf024248;
 Tue, 26 Mar 2019 10:39:29 -0400
X-Authentication-Warning: lx-chumsalmon.ad.sei.cmu.edu: mwd set sender to
 mwd@HIDDEN using -f
From: Michael Welsh Duggan <mwd@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; SIGTERM in dconf worker
Date: Tue, 26 Mar 2019 10:39:29 -0400
Message-ID: <tntsgv9lmxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 147.72.252.16
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

I work on a system that runs for months that I reach though a system
that reboots regularly.  On the long-running system, I run emacs
--daemon, which I then connect to with emacsclient.  When the system
in between my box and the long-running box reboots, I just reconnect and
re-attach to my session.  But at some point that stopped working, as the
emacs daemon dies at some point during the involuntary detachment in the
dconf worker thread.  I finally managed to catch this in a gdb session
running in tmux running emacs with --fg-daemon.

Thread 3 "dconf worker" received signal SIGTERM, Terminated.
[Switching to Thread 0x7fffea131700 (LWP 42577)]
0x00007ffff454854b in raise () from /lib64/libpthread.so.0
(gdb) show args
Argument list to give program being debugged when it is started is "--fg-daemon"
.
(gdb) info thread
  Id   Target Id                                         Frame 
  1    Thread 0x7ffff7fca880 (LWP 42490) "emacs-27.0.50" 0x00007ffff38cdcd9 in p
select () from /lib64/libc.so.6
  2    Thread 0x7fffead4a700 (LWP 42492) "gmain"         0x00007ffff38cbe9d in p
oll () from /lib64/libc.so.6
* 3    Thread 0x7fffea131700 (LWP 42577) "dconf worker"  0x00007ffff454854b in r
aise () from /lib64/libpthread.so.0
  4    Thread 0x7fffe9930700 (LWP 42583) "gdbus"         0x00007ffff38cbe9d in p
oll () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff454854b in raise () at /lib64/libpthread.so.0
#1  0x00007ffff2da2dcc in ffi_call_unix64 () at /lib64/libffi.so.6
#2  0x00007ffff2da26f5 in ffi_call () at /lib64/libffi.so.6
#3  0x00007ffff5183675 in g_cclosure_marshal_generic_va ()
    at /lib64/libgobject-2.0.so.0
#4  0x00007ffff5182c07 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#5  0x00007ffff519c757 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#6  0x00007ffff519d3df in g_signal_emit () at /lib64/libgobject-2.0.so.0
#7  0x00007ffff547d075 in emit_closed_in_idle () at /lib64/libgio-2.0.so.0
#8  0x00007ffff4ea64e7 in g_idle_dispatch () at /lib64/libglib-2.0.so.0
#9  0x00007ffff4ea98f9 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#10 0x00007ffff4ea9c58 in g_main_context_iterate.isra ()
    at /lib64/libglib-2.0.so.0
#11 0x00007ffff4ea9d0c in g_main_context_iteration ()
    at /lib64/libglib-2.0.so.0
#12 0x00007fffea13948d in dconf_gdbus_worker_thread ()
    at /usr/lib64/gio/modules/libdconfsettings.so
#13 0x00007ffff4ed0900 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#14 0x00007ffff4540dd5 in start_thread () at /lib64/libpthread.so.0
#15 0x00007ffff38d6b3d in clone () at /lib64/libc.so.6


Unfortunately, xbacktrace doesn't seem to be working very well in this
state:

(gdb) xbacktrace
(gdb) thread 1
[Switching to thread 1 (Thread 0x7ffff7fca880 (LWP 42490))]
#0  0x00007ffff38cdcd9 in pselect () from /lib64/libc.so.6
(gdb) xbacktrace

Thread 1 "emacs-27.0.50" received signal SIGTERM, Terminated.
backtrace_p (pdl=0xd7acc0) at ../../src/src/eval.c:182
182     { return specpdl ? pdl >= specpdl : false; }
The program being debugged was signaled while in a function called from GDB.
GDB remains in the frame where the signal was received.
To change this behavior use "set unwindonsignal on".
Evaluation of the expression containing the function
(backtrace_p) will be abandoned.
When the function is done executing, GDB will silently stop.

The information below was saved into a draft at the beginning of the
emacs session.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit)
 of 2019-03-21 built on pd2.mallab.cert.org
Repository revision: 1fc6afbdf1ce0f8b23780bd4d2630ed49f365013
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
System Description: Red Hat Enterprise Linux Server 7.5 (Maipo)

Configured using:
 'configure --without-toolkit-scroll-bars --with-wide-int
 --prefix=/home/mwd/ --with-jpeg=no --with-gif=no --with-tiff=no
 --with-gnutls=no --without-gconf
 PKG_CONFIG_PATH=/opt/rh/devtoolset-8/root/usr/lib64/pkgconfig'

Configured features:
XAW3D XPM PNG SOUND GSETTINGS GLIB NOTIFY INOTIFY LIBSELINUX LIBXML2
FREETYPE XFT ZLIB LUCID X11 XDBE XIM THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Load-path shadows:
None found.

Features:
(shadow sort flyspell ispell mail-extr gnus-msg gnus-art mm-uu mml2015
mm-view mml-smime mailcap gnus-sum gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int
gnus-range gnus-win emacsbug sendmail elec-pair woman man view time
smime dig server python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat ucs-normalize shell pcomplete
parse-time advice prolog smie align comint ansi-color ring whitespace
ps-print ps-print-loaddefs ps-def lpr picture message rmc puny
format-spec rfc822 mml mml-sec epa derived epg mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
time-date mail-utils mm-util mail-prsvr wid-edit generic-x dired-x dired
dired-loaddefs cmake-mode thingatpt rx cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs edmacro
kmacro finder-inf mule-util info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads inotify dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)


-- 
Michael Welsh Duggan
(mwd@HIDDEN)




Acknowledgement sent to Michael Welsh Duggan <mwd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35003; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.